> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RRset Failover Logs

> Get failover history for the RRset



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/zones/{zoneName}/{rrsetName}/{rrsetType}/failover/log
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/zones/{zoneName}/{rrsetName}/{rrsetType}/failover/log:
    get:
      tags:
        - RRsets
      summary: Get RRset Failover Logs
      description: Get failover history for the RRset
      operationId: FailoverLog
      parameters:
        - name: offset
          in: query
          description: Amount of records to skip before beginning to write in response.
          schema:
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            type: integer
            format: uint64
        - name: zoneName
          in: path
          required: true
          schema:
            type: string
        - name: rrsetName
          in: path
          required: true
          schema:
            type: string
        - name: rrsetType
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: FailoverLogResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailoverLogResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            response = client.dns.zones.rrsets.get_failover_logs(
                rrset_type="rrsetType",
                zone_name="zoneName",
                rrset_name="rrsetName",
            )
            print(response.log)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/dns\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.DNS.Zones.Rrsets.GetFailoverLogs(\n\t\tcontext.TODO(),\n\t\t\"rrsetType\",\n\t\tdns.ZoneRrsetGetFailoverLogsParams{\n\t\t\tZoneName:  \"zoneName\",\n\t\t\tRrsetName: \"rrsetName\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Log)\n}\n"
components:
  schemas:
    FailoverLogResponse:
      type: object
      properties:
        log:
          $ref: '#/components/schemas/FailoverLog'
        total_amount:
          type: integer
          format: int64
    FailoverLog:
      type: array
      description: FailoverLog
      items:
        $ref: '#/components/schemas/FailoverLogEntry'
    FailoverLogEntry:
      type: object
      properties:
        action:
          type: string
        address:
          type: string
        time:
          type: integer
          format: int64
      description: FailoverLogEntry
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````